//---------------------------------------------------------------------------
// This is an example of a report using the QR abstract table.
//  1. The datafields are set up in the IDE
//  2. Use the dataset in the usual way
//  3. Make the Record and field data events as exemplified below.
//
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "rep1form.h"
//---------------------------------------------------------------------------
#pragma link "quickrpt"
#pragma link "Qrctrls"
#pragma link "qrprntr"
#pragma link "QRAbsDatas"
#pragma link "QRAbsDatas"
#pragma resource "*.dfm"
TReport1Form *Report1Form;
int recNum = 0;
//---------------------------------------------------------------------------
__fastcall TReport1Form::TReport1Form(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TReport1Form::QRAbsTable1GetRecord(TQRAbsTable *Sender,
      bool &Moredata)
{
        // this illustrates the use of Moredata. When set false the
        // dataset goes to EOF state
        ++recNum;
        Moredata = recNum < 30;
}
//---------------------------------------------------------------------------

void __fastcall TReport1Form::QRAbsTable1SetFieldValue(
      const AnsiString DataStr, TField *Field, Pointer buffer)
{
   if( Field->FieldName == "nameString" )
   {
      // move data into buffer
      char *nvalue;
      nvalue = "This is data";
      CopyMemory( buffer, nvalue, 13);
   }

}
//---------------------------------------------------------------------------

